=== debian/control ===
Source: cimg
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: doxygen (>= 1.8.12),
                     libx11-dev,
                     libxrandr-dev,
                     libgraphicsmagick++1-dev | libmagick++-dev,
                     libfftw3-dev | fftw3-dev,
                     libgimp2.0-dev,
                     libopencv-dev,
                     libminc-dev,
                     libtiff5-dev,
                     libtiffxx5,
                     libcurl4-gnutls-dev | libcurl4-dev,
                     texlive-latex-extra,
                     texlive-fonts-recommended
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/cimg.git/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cimg.git
Homepage: http://cimg.sourceforge.net/

Package: cimg-dev
Architecture: all
Depends: libx11-dev,
         libxrandr-dev,
         libopencv-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xmedcon,
          lapack3-dev,
          cimg-doc,
          cimg-examples,
          libgraphicsmagick++1-dev | libmagick++-dev,
          libfftw3-dev | fftw3-dev,
          libgimp2.0-dev,
          libhighgui-dev,
          libtiff5-dev,
          libtiffxx5
Description: powerful image processing library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.

Package: cimg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Enhances: cimg-dev
Description: documentation of cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains the documentation.

Package: cimg-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: cimg-dev,
            libgraphicsmagick++1-dev | libmagick++-dev,
            libfftw3-dev | fftw3-dev,
            libgimp2.0-dev,
            libopencv-dev,
            libhighgui-dev
Enhances: cimg-dev,
          cimg-doc
Description: examples for cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains examples for the usage of the library.
