=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: doxygen (>= 1.8.12),
                      libx11-dev,
                      libxrandr-dev,
@@ -17,9 +17,9 @@
                      libcurl4-gnutls-dev | libcurl4-dev,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/cimg.git/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cimg.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/cimg
+Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
 
 Package: cimg-dev
