## cimg 2.4.5+dfsg

=== debian/changelog ===
cimg (2.4.5+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Pdf documentation does not build in pbuilder thus drop it

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 11:43:23 +0100
