=== debian/rules ===
--- 
+++ 
@@ -40,9 +40,17 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	cd html && doxygen CImg.doxygen && cd latex && make || true
+	cd html && doxygen CImg.doxygen
+	## since version 2.4.5 for some mysterious reason the generation
+	## of PDF documentation does not work in pbuilder while it generates
+	## nicely on a local testing machine.  The reason are not missing
+	## texlive-* dependencies - it was tried to install all those texlive-*
+	## packages from the testing machine into the pbuilder chroot and it
+	## kept on failing.  So go without the pdf documentation until this
+	## might be fixed
+	# && cd latex && sed -i 's/pdflatex *refman/pdflatex -interaction=batchmode refman || true/' Makefile && make || true
 	# autogenerated makefile lacks a final pdflatex call to get references right (that's why the above '|| true')
-	cd html/latex && pdflatex refman
+	# cd html/latex && pdflatex -interaction=batchmode refman || true
 
 override_dh_install:
 	dh_install
