## cimg 2.4.5.1

=== examples/Makefile ===
--- 
+++ 
@@ -83,32 +83,46 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-VERSION = `grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c3`
-X11PATH      = /usr/X11R6
-EXEPFX       =
+VERSION = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c3)
+VERSION1 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c1)
+VERSION2 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c3 | head -c1)
+VERSION3 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c2 | head -c1)
+SVERSION=$(VERSION1).$(VERSION2).$(VERSION3)
+
+X11PATH = /usr/X11R6
+
+EXE_PRE =
+EXE_EXT =
 ifeq ($(MSYSTEM),MINGW32)
-EXESFX       = .exe
-else
+EXE_EXT = .exe
+endif
 ifeq ($(MSYSTEM),MINGW64)
-EXESFX       = .exe
-else
-EXESFX       =
-endif
-endif
-CXXVER       = $(CXX)
-ifeq ($(notdir $(CXX)),g++)
-CXXVER       = `$(CXX) -v 2>&1 | tail -n 1`
-endif
-ifeq ($(notdir $(CXX)),clang++)
-CXXVER       = `$(CXX) -v 2>&1 | head -n 1`
-endif
-ifeq ($(notdir $(CXX)),icpc)
-CXXVER       = "icpc \( `$(CXX) -v 2>&1`\)"
-CFLAGS       = -I..
-LIBS         =
-else
-CFLAGS       = -I.. -Wall -Wextra -Wfatal-errors
-LIBS         = -lm
+EXE_EXT = .exe
+endif
+
+ifeq ($(shell echo $(notdir $(CXX)) | head -c3),g++)
+IS_GCC = 1
+endif
+ifeq ($(shell echo $(notdir $(CXX)) | head -c7),clang++)
+IS_CLANG = 1
+endif
+ifeq ($(shell echo $(notdir $(CXX)) | head -c4),icpc)
+IS_ICPC = 1
+endif
+
+CXXVER = $(CXX)
+CFLAGS = -I.. -Wall -Wextra -Wfatal-errors -Werror=unknown-pragmas -Werror=unused-label
+LIBS = -lm
+ifdef IS_GCC
+CXXVER = $(shell $(CXX) -v 2>&1 | tail -n 1)
+endif
+ifdef IS_CLANG
+CXXVER = $(shell $(CXX) -v 2>&1 | head -n 1)
+endif
+ifdef IS_ICPC
+CXXVER = $(shell $(CXX) -v 2>&1)
+CFLAGS = -I..
+LIBS =
 endif
 
 #--------------------------------------------------
@@ -130,30 +144,30 @@
 VT100_CFLAGS = -Dcimg_use_vt100
 
 # Flags to enable code optimization by the compiler.
-ifeq ($(notdir $(CXX)),g++)
+OPT_CFLAGS = -Ofast
+ifdef IS_GCC
 OPT_CFLAGS = -Ofast -mtune=generic
-else
-ifeq ($(notdir $(CXX)),icpc)
+endif
+ifdef IS_ICPC
 OPT_CFLAGS = -fast
-else
-OPT_CFLAGS = -Ofast
-endif
 endif
 
 # Flags to enable OpenMP support.
-ifeq ($(notdir $(CXX)),icpc)
-OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
-else
 OPENMP_DEFINE = -Dcimg_use_openmp -fopenmp
 OPENMP_INCDIR =
 OPENMP_CFLAGS = $(OPENMP_DEFINE) $(OPENMP_INCDIR)
+ifdef IS_ICPC
+OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
+endif
+ifdef IS_CLANG
+OPENMP_CFLAGS =
 endif
 
 # Flags to enable OpenCV support.
 OPENCV_DEFINE = -Dcimg_use_opencv
-OPENCV_INCDIR = `pkg-config opencv --cflags || echo -I/usr/include/opencv` -I/usr/include/opencv
+OPENCV_INCDIR = $(shell pkg-config opencv --cflags || echo -I/usr/include/opencv) -I/usr/include/opencv
 OPENCV_CFLAGS = $(OPENCV_DEFINE) $(OPENCV_INCDIR)
-OPENCV_LIBS = `pkg-config opencv --libs || echo -lopencv_core -lopencv_highgui`
+OPENCV_LIBS = $(shell pkg-config opencv --libs || echo -lopencv_core -lopencv_highgui)
 
 # Flags used to disable display capablities of CImg
 NODISPLAY_CFLAGS = -Dcimg_display=0
@@ -161,14 +175,14 @@
 # Flags to enable the use of the X11 library.
 # (X11 is used by CImg to handle display windows)
 X11_DEFINE = -Dcimg_display=1
-X11_INCDIR = `pkg-config --cflags x11 || echo -I/usr/X11R6/include`
+X11_INCDIR = $(shell pkg-config --cflags x11 || echo -I/usr/X11R6/include)
 X11_CFLAGS = $(X11_DEFINE) $(X11_INCDIR)
-X11_LIBS = `pkg-config --libs x11 || echo -L/usr/X11R6/lib -lX11` -lpthread
+X11_LIBS = $(shell pkg-config --libs x11 || echo -L/usr/X11R6/lib -lX11) -lpthread
 
 # Flags to enable fast image display, using the XSHM library (when using X11).
 # !!! Seems to randomly crash when used on MacOSX and 64bits systems, so use it only when necessary !!!
-XSHM_CFLAGS = # -Dcimg_use_xshm `pkg-config --cflags xcb-shm`
-XSHM_LIBS = # `pkg-config --libs xcb-shm || echo -L$(USR)/X11R6/lib -lXext`
+XSHM_CFLAGS = # -Dcimg_use_xshm $(shell pkg-config --cflags xcb-shm)
+XSHM_LIBS = # $(shell pkg-config --libs xcb-shm || echo -L$(USR)/X11R6/lib -lXext)
 
 # Flags to enable GDI32 display (Windows native).
 GDI32_DEFINE = -mwindows
@@ -229,9 +243,9 @@
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
 # ( http://www.zlib.net/ )
 ZLIB_DEFINE = -Dcimg_use_zlib
-ZLIB_INCDIR = `pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE)`
+ZLIB_INCDIR = $(shell pkg-config --cflags zlib || echo -I$(USR)/$(INCLUDE))
 ZLIB_CFLAGS = $(ZLIB_DEFINE) $(ZLIB_INCDIR)
-ZLIB_LIBS = `pkg-config --libs zlib || echo -lz`
+ZLIB_LIBS = $(shell pkg-config --libs zlib || echo -lz)
 
 # Flags to enable native support for downloading files from the network.
 # ( http://curl.haxx.se/libcurl/ )
@@ -243,9 +257,9 @@
 # Flags to enable native support of most classical image file formats, using the Magick++ library.
 # ( http://www.imagemagick.org/Magick++/ )
 MAGICK_DEFINE = -Dcimg_use_magick
-MAGICK_INCDIR = `pkg-config --cflags GraphicsMagick++ || echo -I$(USR)/$(INCLUDE)/GraphicsMagick`
+MAGICK_INCDIR = $(shell pkg-config --cflags GraphicsMagick++ || echo -I$(USR)/$(INCLUDE)/GraphicsMagick)
 MAGICK_CFLAGS = $(MAGICK_DEFINE) $(MAGICK_INCDIR)
-MAGICK_LIBS = `pkg-config --libs GraphicsMagick++ || echo -lGraphicsMagick++`
+MAGICK_LIBS = $(shell pkg-config --libs GraphicsMagick++ || echo -lGraphicsMagick++)
 
 # Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
 # ( http://www.fftw.org/ )
@@ -266,7 +280,7 @@
 LAPACK_LIBS = -lblas -llapack
 
 # Flags to enable the use of the Board library
-# ( http://libboard.sourceforge.net/ )
+# ( https://github.com/c-koi/libboard )
 BOARD_DEFINE = -Dcimg_use_board
 BOARD_INCDIR = -I/usr/include/board
 BOARD_CFLAGS = $(BOARD_DEFINE) $(BOARD_INCDIR)
@@ -285,15 +299,15 @@
 #-------------------------
 .cpp:
 	@echo
-	@echo "** Compiling '$* ($(VERSION))' with '$(CXXVER)'"
-	@echo
-	$(CXX) -o $(EXEPFX)$*$(EXESFX) $< $(CFLAGS) $(CONF_CFLAGS) $(LIBS) $(CONF_LIBS)
+	@echo "** Compiling '$* ($(SVERSION))' with '$(CXXVER)'"
+	@echo
+	$(CXX) -o $(EXE_PRE)$*$(EXE_EXT) $< $(CFLAGS) $(CONF_CFLAGS) $(LIBS) $(CONF_LIBS)
 ifeq ($(STRIP_EXE),true)
-	strip $(EXEPFX)$*$(EXESFX)
+	strip $(EXE_PRE)$*$(EXE_EXT)
 endif
 menu:
 	@echo
-	@echo "CImg Library $(VERSION) : Examples"
+	@echo "CImg Library $(SVERSION) : Examples"
 	@echo "-----------------------------"
 	@echo "  > linux    : Linux/BSD target, X11 display, optimizations disabled."
 	@echo "  > dlinux   : Linux/BSD target, X11 display, debug mode."
@@ -316,19 +330,3 @@
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
 	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
 	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
-	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."
-	@echo "  > Mwindows : Windows target, GDI32 display, maximal features, optimizations enabled."
-	@echo
-	@echo "  > clean    : Clean generated files."
-	@echo
-	@echo "Choose your option :"
-	@read CHOICE; echo; $(MAKE) $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;
-
-all: $(FILES)
-
-clean:
-	rm -rf *.exe *.o *~ \#* $(FILES) $(EXTRA_FILES)
-ifneq ($(EXEPFX),)
-	rm -f $(EXEPFX)*
-endif
-
