=== debian/changelog ===
cimg (2.4.5.1-2+security) unstable; urgency=medium

  * update

 -- Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>  Fri, 06 Aug 2021 09:44:47 +0800

cimg (2.4.5.1-1+security) unstable; urgency=medium

  * fix CVE-2019-13568 CVE-2020-25693

 -- lishengyu <lishengyu@uniontech.com>  Thu, 10 Jun 2021 16:29:55 +0800
