## cimg 2.8.4+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -87,7 +87,7 @@
 VERSION1 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c4 | head -c1)
 VERSION2 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c3 | head -c1)
 VERSION3 = $(shell grep 'cimg_version\ ' ../CImg.h | tail -c2 | head -c1)
-SVERSION=$(VERSION1).$(VERSION2).$(VERSION3)
+SVERSION = $(VERSION1).$(VERSION2).$(VERSION3)
 
 X11PATH = /usr/X11R6
 
@@ -123,6 +123,13 @@
 CXXVER = $(shell $(CXX) -v 2>&1)
 CFLAGS = -I..
 LIBS =
+endif
+
+ifdef IS_GCC
+GCC_VER_GTEQ5 = $(shell expr `$(CXX) -dumpversion | cut -f1 -d.` \>= 5)
+ifeq ($(GCC_VER_GTEQ5),1)
+CFLAGS += -Wshadow
+endif
 endif
 
 #--------------------------------------------------
@@ -328,5 +335,3 @@
 	@echo "  > Mmacosx  : MacOSX target, X11 display, maximal features, optimizations enabled."
 	@echo
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
-	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
-	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
