=== debian/changelog ===
cimg (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Adapt demo makefile to opencv4
    Closes: #951965

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2020 11:13:46 +0100
