## cimg 2.9.4+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #                This file is a part of the CImg Library project.
 #                ( http://cimg.eu )
 #
-#  Copyright   : David Tschumperle
+#  Copyright   : David Tschumperlé
 #                ( http://tschumperle.users.greyc.fr/ )
 #
 #  License     : CeCILL v2.0
