=== debian/changelog ===
cimg (2.9.4+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Remove un-needed files from install (Closes: #989617)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 13:35:25 +0530

cimg (2.9.4+dfsg-2) unstable; urgency=medium

  * New upstream version
    Closes: #973770
  * Adapt Files-Excluded to new upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix installation of docs
  * Avoid baseline violation
    Closes: #976927
  * Do not submit any user data to keep privacy

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2020 15:46:15 +0100
