=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: doxygen (>= 1.8.12),
                      libx11-dev,
                      libxrandr-dev,
@@ -17,10 +17,11 @@
                      libcurl4-gnutls-dev | libcurl4-dev,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/cimg
 Vcs-Git: https://salsa.debian.org/science-team/cimg.git
 Homepage: http://cimg.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: cimg-dev
 Architecture: all
