=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,11 @@
 	find debian/cimg-doc -type f -name "*.html" -exec debian/remove_privacy_violating_js_code \{\} \;
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
 	# After test build of examples remove remaining object files
 	cd examples && $(MAKE) clean
+endif
 
 CHANGEFILES=gaussian_fit1d.cpp \
             use_RGBclass.cpp
@@ -61,7 +63,8 @@
 		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
 	    done
 	mv html/reference/* debian/$(doc)/usr/share/doc/cimg-dev/html
+	find debian -type f -name "_form*" -delete
 
 override_dh_auto_clean:
 	-cd examples && $(MAKE) clean
-	dh_clean 
+	dh_clean
